DocMkrParserInternal::State Struct Reference documentation

DocMkrParserInternal::State Struct Reference

Internal: the state of a DocMkrParser. More...

## Public Member Functions
| State ()
| constructor
int | pictInfoId (int zId, int lId) const
| return a pictinfo id corresponding to a zone and a local if
void | findPictInfoUnit (int nZones)
| try to find the picture info unit (fixme: a hack)

## Public Attributes
std::map< int, MWAWEntry > | m_idPictEntryMap
| a map id->pictEntry
std::map< int, PictInfo > | m_idPictInfoMap
| a map id->pictInfo
int | m_zonePictInfoUnit
| the zone unit to retrieve pictInfo
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a DocMkrParser.

## Constructor & Destructor Documentation

## ◆ State()

DocMkrParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ findPictInfoUnit()

void DocMkrParserInternal::State::findPictInfoUnit | ( | int | nZones | ) |

try to find the picture info unit (fixme: a hack)

## ◆ pictInfoId()

int DocMkrParserInternal::State::pictInfoId | ( | int | zId,
|  | int | lId ) const
| inline

return a pictinfo id corresponding to a zone and a local if

## Member Data Documentation

## ◆ m_actPage

int DocMkrParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_footerHeight

int DocMkrParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_headerHeight

int DocMkrParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_idPictEntryMap

std::map<int, MWAWEntry> DocMkrParserInternal::State::m_idPictEntryMap

a map id->pictEntry

Referenced by State().

## ◆ m_idPictInfoMap

std::map<int, PictInfo> DocMkrParserInternal::State::m_idPictInfoMap

a map id->pictInfo

Referenced by findPictInfoUnit(), and State().

## ◆ m_numPages

int DocMkrParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_zonePictInfoUnit

int DocMkrParserInternal::State::m_zonePictInfoUnit

the zone unit to retrieve pictInfo

Referenced by findPictInfoUnit(), pictInfoId(), and State().

The documentation for this struct was generated from the following file:

- DocMkrParser.cxx